Documents

Get document details

Use this method to obtain detailed information about a specific document submitted by a client for passing a verification procedure.

GET
/api/v2/my/documents/{document}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

document*integer

The document identifier.

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/documents/1" \  -H "accept-language: ja"
{  "id": 1,  "type": {    "id": 1,    "description": "Documents for corporate clients",    "enabled": true,    "exаmple": "example.png",    "group": {      "id": 1,      "description": "Document groups for corporate clients",      "enabled": true,      "name": "corporate",      "priority": 1,      "type": "one",      "resources": [        {          "key": "caption",          "locale": "en_En",          "value": "value"        }      ]    },    "maxFiles": 10,    "name": "corporate",    "priority": 1,    "resources": [      {        "key": "caption",        "locale": "en_En",        "value": "value"      }    ]  },  "status": "approved",  "applicationId": 1,  "resolution": {    "id": 1,    "name": "Rejected"  },  "comment": "The document comment",  "files": [    {      "id": 8,      "file": "y/1662913861_photo_2022-09-08_11-23-06.jpg"    }  ],  "createTime": "2022-01-01T00:00:00+00:00",  "processTime": "2022-01-01T00:00:00+00:00"}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}